Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 319571 - app-shells/fish fails tests when it is not already installed
Summary: app-shells/fish fails tests when it is not already installed
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High QA (vote)
Assignee: Lars Wendler (Polynomial-C) (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-13 17:40 UTC by Jeroen Roovers (RETIRED)
Modified: 2014-02-11 12:40 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
app-shells-fish-1.23.1:20100513-154414.log [not installed, fails tests] (20100513-154414.log,88.10 KB, text/plain)
2010-05-13 17:41 UTC, Jeroen Roovers (RETIRED)
Details
app-shells-fish-1.23.1:20100513-170146.log [installed, succeeds] (20100513-170146.log,86.26 KB, text/plain)
2010-05-13 17:43 UTC, Jeroen Roovers (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeroen Roovers (RETIRED) gentoo-dev 2010-05-13 17:40:38 UTC
The test phase expects the package to be already installed. First it cannot find `fishd' but even with a corrected PATH variable it fails later on.

I propose the following patch (but I am not sure whether all this is legal):

Index: fish-1.23.1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-shells/fish/fish-1.23.1.ebuild,v
retrieving revision 1.2
diff -u -B -r1.2 fish-1.23.1.ebuild
--- fish-1.23.1.ebuild  18 Apr 2010 12:58:23 -0000      1.2
+++ fish-1.23.1.ebuild  13 May 2010 17:38:35 -0000
@@ -44,6 +44,14 @@
                --bindir="${EPREFIX}"/bin
 }
 
+src_test() {
+       if has_version app-shells/fish ${PV}; then
+               emake test || die "emake test failed"
+       else
+               ewarn "The test suite only works when the package is already installed"
+       fi
+}
+
 src_install() {
        emake DESTDIR="${D}" install || die "make install failed"
 }
Comment 1 Jeroen Roovers (RETIRED) gentoo-dev 2010-05-13 17:41:50 UTC
Created attachment 231341 [details]
app-shells-fish-1.23.1:20100513-154414.log [not installed, fails tests]
Comment 2 Jeroen Roovers (RETIRED) gentoo-dev 2010-05-13 17:43:25 UTC
Created attachment 231343 [details]
app-shells-fish-1.23.1:20100513-170146.log [installed, succeeds]
Comment 3 Michael Weber (RETIRED) gentoo-dev 2011-11-12 12:27:11 UTC
Um, i think the general intentions is to actually test the to-be-installed blob, not the to-be-replaced installed version.
Comment 4 Jeroen Roovers (RETIRED) gentoo-dev 2011-11-12 15:19:19 UTC
If it's the only way, then why not? media-gfx/imagemagick and probably other packages do this.
Comment 5 Lars Wendler (Polynomial-C) (RETIRED) gentoo-dev 2014-02-11 12:40:20 UTC
+  11 Feb 2014; Lars Wendler <polynomial-c@gentoo.org> fish-2.1.0-r2.ebuild:
+  Tests only work when the package is already installed (bug #319571).
+